Xcode 运行libstdc++报错处理方案

释放双眼,带上耳机,听听看~!

注意:项目中有用到libstdc++、libstdc++.6、libstdc++6.0.9这三个内库的慎更新,Xcode 10 已经禁用这三个库!!!

Xcode10 运行现有项目报错最多的应该就是如图:

这个错误原因是因为iOS12.0中去掉了lstdc++.6.0.9.tbd动态库,如下图搜索便知:

#iOS12.0中全部采用libc++代替lstdc++的动态库(如下图),具体原因可以参考:
http://www.cnblogs.com/wellbye/archive/2013/04/25/3039203.html

因为beta版本Xcode是无法打包上传appstore,所以肯定还是需要Xcode9.4+Xcode10并行使用,而且现在部分第三方SDK依旧要依赖于lstdc++.6.0.9.tbd动态库,如果对代码进行改动或者修改Xcode的配置,可能会造成其他问题,例如在Xcode9.4上再次运行的时候可能会出现报错等等。
所以最简单解决该问题的方法就是从Xcode9.4中找到动态库lstdc++.6.0.9.tbd文件copy到Xcode10beta下就可以完美解决问题。或者用古老的办法将iOS12的DeviceSupport文件copy到Xcode9.4下也可以完美解决Xcode9.4运行iOS12的问题。

路径:/Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS.sdk/usr/lib
为了方便大家,在此提供lstdc++.6.0.9.tbd动态库文件下载和DeviceSupport下载连接。

人已赞赏
iOS文章

Xcode编译原有项目问题及解决方案

2020-5-2 22:31:52

iOS文章

iOS解决数组的越界的处理

2020-5-2 23:46:51

0 条回复 A文章作者 M管理员
    暂无讨论,说说你的看法吧
个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索